<cfswitch expression="#THISTAG.ExecutionMode#">
	<cfcase value="Start">
		<cfparam name="Attributes.GoogleAPIKey">
		<cfparam name="Attributes.Latitude" default="0">
		<cfparam name="Attributes.Longitude" default="0">
		<cfparam name="Attributes.ZoomLevel" default="1">
		<cfparam name="Attributes.MapControl" default="none">
		<cfparam name="Attributes.ScaleControl" default=false>
		<cfparam name="Attributes.MapTypeControl" default=false>
		<cfparam name="Attributes.OverviewMapControl" default=false>
		<cfparam name="Attributes.Style" default="width: 500px; height: 300px">
		<cfparam name="Attributes.ID" default="map_canvas">
		<cfset THISTAG.Markers = ArrayNew(1)/>
	</cfcase>
	<cfcase value="End">
		<cfajaximport/>
		<cfsavecontent variable="HTMLHead"><cfoutput>
		<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=#Attributes.GoogleAPIKey#" type="text/javascript"></script>
		<script type="text/javascript">
		initialize = function() {
			if (GBrowserIsCompatible()) {
				var map = new GMap2(document.getElementById("#Attributes.ID#"));
				map.setCenter(new GLatLng(#Attributes.Latitude#,#Attributes.Longitude#), #Attributes.ZoomLevel#);
				geocoder = new GClientGeocoder();
				<cfif Attributes.MapControl eq "Large">
				map.addControl(new GLargeMapControl());
				<cfelseif Attributes.MapControl eq "Small">
				map.addControl(new GSmallMapControl());
				<cfelseif Attributes.MapControl eq "Zoom">
				map.addControl(new GSmallZoomControl());
				</cfif>
				<cfif Attributes.ScaleControl>
				map.addControl(new GScaleControl());
				</cfif>
				<cfif Attributes.MapTypeControl>
				map.addControl(new GMapTypeControl());
				</cfif>
				<cfif Attributes.OverviewMapControl>
				map.addControl(new GOverviewMapControl());
				</cfif>
				<cfloop from="1" to="#ArrayLen(THISTAG.Markers)#" index="i">
				<cfif THISTAG.Markers[i].Latitude neq "" and THISTAG.Markers[i].Longitude neq "">
					marker#i# = new GMarker(new GLatLng(#THISTAG.Markers[i].Latitude#, #THISTAG.Markers[i].Longitude#));
					<cfif THISTAG.Markers[i].Info neq "">
					GEvent.addListener(marker#i#, "click", 
						function() {
							marker#i#.openInfoWindowHtml('#jsstringformat(THISTAG.Markers[i].Info)#');
						});
					</cfif>
					map.addOverlay(marker#i#);
				<cfelse>
				 geocoder.getLatLng('#jsstringformat(THISTAG.Markers[i].street)#,#jsstringformat(THISTAG.Markers[i].city)#,#THISTAG.Markers[i].state#,#THISTAG.Markers[i].zip#',
					function(point) {
						if (!point) {
							alert("Address not found");
						} else {
							marker#i# = new GMarker(point);
							<cfif THISTAG.Markers[i].Info neq "">
							GEvent.addListener(marker#i#, "click", 
								function() {
									marker#i#.openInfoWindowHtml('#jsstringformat(THISTAG.Markers[i].Info)#');
								});
							</cfif>
							map.addOverlay(marker#i#);
						}
					}
				);
				</cfif>
				
				</cfloop>
			}
		}
		</script>
		</cfoutput></cfsavecontent>
		<cfhtmlhead text = "#HTMLHead#">
		<cfoutput>
		<div id="#Attributes.ID#" style="#Attributes.Style#"></div>
		<cfset ajaxonload("initialize")>
		</cfoutput>
	</cfcase>
</cfswitch>

	





